#### D.6.11.4 lift_rel_kb

Procedure from library `deform.lib` (see deform_lib).

Usage:
  lift_rel_kb(N,M[,kbaseM,p]);

Assume:
  [p a monomial ] or the product of all variables
  N, M modules of same rank, M depending only on variables not in p and vdim(M) is finite in this ring,
  [ kbaseM the kbase of M in the subring given by variables not in p ]
  warning: these assumptions are not checked by the procedure

Return:
  matrix A, whose j-th columns present the coeff's of N[j] in kbaseM, i.e. kbaseM*A = reduce(N,std(M))

Example:

    LIB "deform.lib";
    ring r=0,(A,B,x,y),dp;
    module M      = [x2,xy],[xy,y3],[y2],[0,x];
    module kbaseM = [1],[x],[xy],[y],[0,1],[0,y],[0,y2];
    poly f=xy;
    module N = [AB,BBy],[A3xy+x4,AB*(1+y2)];
    matrix A = lift_rel_kb(N,M,kbaseM,f);
    print(A);
    ==> AB,0,
    ==> 0, 0,
    ==> 0, A3,
    ==> 0, 0,
    ==> 0, AB,
    ==> B2,0,
    ==> 0, AB
    "TEST:";
    ==> TEST:
    print(matrix(kbaseM)*A-matrix(reduce(N,std(M))));
    ==> 0,0,
    ==> 0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.